aboutsummaryrefslogtreecommitdiffstats
path: root/main/djbdns/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-10-05 07:43:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-10-05 07:43:44 +0000
commit564452f0de9f0b04d025b3a06480896206d9e596 (patch)
treee52f6260a05a2a35fe415f387bb9b160a77b5901 /main/djbdns/APKBUILD
parent1f2081f761343b51e91edf7a178cb9325fe23da8 (diff)
downloadaports-564452f0de9f0b04d025b3a06480896206d9e596.tar.gz
aports-564452f0de9f0b04d025b3a06480896206d9e596.tar.bz2
aports-564452f0de9f0b04d025b3a06480896206d9e596.tar.xz
main/djbdns: add ipv6 patch
http://www.fefe.de/dns/
Diffstat (limited to 'main/djbdns/APKBUILD')
-rw-r--r--main/djbdns/APKBUILD23
1 files changed, 17 insertions, 6 deletions
diff --git a/main/djbdns/APKBUILD b/main/djbdns/APKBUILD
index 7e116f20b3..61ef9475c6 100644
--- a/main/djbdns/APKBUILD
+++ b/main/djbdns/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=djbdns
pkgver=1.05
-pkgrel=38
+pkgrel=39
pkgdesc="Excellent high-performance DNS services"
url="http://cr.yp.to/djbdns.html"
arch="all"
@@ -9,6 +9,7 @@ license="public-domain"
depends=
subpackages="djbdns-common tinydns dnscache"
source="http://cr.yp.to/djbdns/$pkgname-$pkgver.tar.gz
+http://www.fefe.de/dns/djbdns-1.05-test24.diff.bz2
headtail.patch
dnsroots.patch
dnstracesort.patch
@@ -24,18 +25,27 @@ source="http://cr.yp.to/djbdns/$pkgname-$pkgver.tar.gz
dnscache.monthly
"
-build() {
- cd "$srcdir"/$pkgname-$pkgver
- for i in ../*.patch; do
- msg "Applying $i..."
- patch -p1 < $i || return 1
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ *.diff.gz) msg $i; gunzip -c "$srcdir"/$i | patch -p1 || return 1;;
+ esac
done
+}
+build() {
+ cd "$_builddir"
echo "${CC:-"gcc"} ${CFLAGS}" > conf-cc
echo "${CC:-"gcc"} ${LDFLAGS}" > conf-ld
echo "/usr" > conf-home
make -j1 || return 1
+}
+package() {
+ cd "$_builddir"
mkdir -p "$pkgdir"/etc/
cp dnsroots.global "$pkgdir"/etc/
mkdir -p "$pkgdir"/usr/bin
@@ -90,6 +100,7 @@ dnscache() {
}
md5sums="3147c5cd56832aa3b41955c7a51cbeb2 djbdns-1.05.tar.gz
+2bd0616d5eb4cc7734e96e032e846613 djbdns-1.05-test24.diff.bz2
0d2adaf9f1626043e8702b825cdccdd6 headtail.patch
7565048ebc981238879122c7f88cc143 dnsroots.patch
6fe7f473233f1c86b76261afd8345bf0 dnstracesort.patch